.cta-block
{
	padding: 0 clamp(2em, 5dvw, 10em);
	display: grid;
	grid-gap: clamp(2em, 5dvw, 10em);
	align-items: center;
	grid-template-columns: 2fr 1fr;

	.image-wrapper
	{
		position: relative;
		aspect-ratio: 5/2;
		clip-path: polygon(70% 0, 100% 50%, 90% 100%, 0 100%, 0 0);
		border-radius: 1em 0 0 1em;
		background: #F2F2F2;

		img
		{
			position: absolute;
			top: 0px;
			left: 0px;
			right: 0px;
			bottom: 0px;
			height: 100%;
			width: 100%;
			border-radius: 1em 0 0 1em;
			object-fit: cover;
			object-position: center;
		}
	}

	.content-wrapper
	{
		h2
		{
			margin-bottom: 1rem;
		}
	}
}

@media(width < 980px)
{
	.cta-block
	{
		grid-template-columns: 1fr;

		.image-wrapper
		{
			aspect-ratio: 3/2;
			clip-path: polygon(100% 0, 100% 65%, 30% 100%, 0 80%, 0 0);
			border-radius: 1em 1em 0 0;

			img
			{
				border-radius: 1em 1em 0 0;
			}
		}
	}
}